aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2012-09-10 20:05:41 +0100
committerAvatar David Leverton <levertond@googlemail.com> 2012-09-10 20:05:41 +0100
commit8d6f77d427f280294afec58de5737c322428934c (patch)
tree4646b4bde409e4bad6f2f068e712a99794dc4435
parentf7cff978543e5c03aafe339490155d2c97a3780c (diff)
downloadpaludis-8d6f77d427f280294afec58de5737c322428934c.tar.gz
paludis-8d6f77d427f280294afec58de5737c322428934c.tar.xz
Test usex !flag as pointed out by ulm
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_5_setup.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/paludis/repositories/e/e_repository_TEST_5_setup.sh b/paludis/repositories/e/e_repository_TEST_5_setup.sh
index 279c4ae..0cfff10 100755
--- a/paludis/repositories/e/e_repository_TEST_5_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_5_setup.sh
@@ -185,6 +185,8 @@ S="${WORKDIR}"
pkg_pretend() {
usex enabled >>"${T}"/usex.out || die
usex disabled >>"${T}"/usex.out || die
+ usex !enabled >>"${T}"/usex.out || die
+ usex !disabled >>"${T}"/usex.out || die
usex enabled foo >>"${T}"/usex.out || die
usex disabled foo >>"${T}"/usex.out || die
usex enabled foo bar >>"${T}"/usex.out || die
@@ -205,6 +207,8 @@ pkg_pretend() {
cat >"${T}"/usex.expected <<EOF
yes
no
+no
+yes
foo
no
foo